How can | add a Menultem in Redmine
Description
I am using Redmine in order to offer a quickview of how many people are online last 2 hours

| just want to add a menultem to the project_menu,which | foundin "lib\redmine.rb",
first:

| added permissions like "

map.project_module :users dojmap|

map.permission :view_users,{:users => [:index , :find_lasts ]}

second:

| pushed it into project_menu like "

menu.push :users,{ :controller => "users" , :action =>"index"}

third:
| registered the activity in the Activity.map like

activity.register :users

but | cant find the menultem | was trying to add.Why?

thanks for help......

History

#1 - 2010-04-09 04:19 - Jeffrey Jones

- Status changed from New to Resolved
| believe this was answered in the forums. You have to create a plugin and add via that method. That is what | ended up doing.

#2 - 2010-04-09 04:39 - sean chan

yes, | havn't realized that a plug-in can solve this Dactually | havn't know there's a plug-in focus on Adding a Iteml[]
and | do realize modifying the redmine.rb is quite a stupid idea.....;)

anyway , thanks for help

the answer 'Holger Just’ offered in wiki plays the trick for me ,
http://www.redmine.org/wiki/redmine/Plugin_Tutorial#Extending-menus

#3 - 2010-06-29 08:44 - Holger Just

- Status changed from Resolved to Closed
